package cn.wise.sc.consume.business.service.impl;

import cn.wise.sc.consume.business.entity.SysEnterprise;
import cn.wise.sc.consume.business.mapper.SysEnterpriseMapper;
import cn.wise.sc.consume.business.model.EnterpriseAppListVO;
import cn.wise.sc.consume.business.service.ISysEnterpriseService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author ztw
 * @since 2020-06-17
 */
@Service
public class SysEnterpriseServiceImpl extends ServiceImpl<SysEnterpriseMapper, SysEnterprise> implements ISysEnterpriseService {

	private static final Logger log = LoggerFactory.getLogger("SysEnterpriseServiceImpl");

	@Resource
	private SysEnterpriseMapper enterpriseMapper;

	@Override
	public List<SysEnterprise> getPage(Map<String,Object> map) {
		List<SysEnterprise> enterprise = enterpriseMapper.getPage(map);
		log.debug("企业列表{}");
		return enterprise;
	}

	@Override
	public List<EnterpriseAppListVO> getEnterpriseList(String usridc) {
		List<EnterpriseAppListVO>  enterpriseAppListVOS = enterpriseMapper.getEnterpriseList(usridc);
		return enterpriseAppListVOS;
	}
}
