package cn.wise.sc.consume.business.service.impl;

import cn.wise.sc.consume.business.entity.SysLogs;
import cn.wise.sc.consume.business.mapper.SysLogsMapper;
import cn.wise.sc.consume.business.service.SysLogService;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.apache.commons.lang3.time.DateFormatUtils;
import org.apache.commons.lang3.time.DateUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author ztw
 * @since 2020-07-29
 */
@Service
public class SysLogsServiceImpl implements SysLogService {

	private static final Logger log = LoggerFactory.getLogger("SysLogsServiceImpl");

	@Autowired
	private SysLogsMapper sysLogsDao;

	/**
	 * 2018.05.12将该方法改为异步,用户由调用者设置
	 *
	 * @param sysLogs
	 */
	@Async
	@Override
	public void save(SysLogs sysLogs) {
//		SysUser user = UserUtil.getLoginUser();
		if (sysLogs == null || sysLogs.getUserId()==null  ) {
			return;
		}

//		sysLogs.setUser(user);
		sysLogsDao.save(sysLogs);
	}

	@Async
	@Override
	public void save(String userId, String module, Integer flag, String remark) {
		SysLogs sysLogs = new SysLogs();
		sysLogs.setModule(module);
		sysLogs.setFlag(flag);
		sysLogs.setRemark(remark);
		sysLogs.setUserId(userId);
		sysLogsDao.save(sysLogs);

	}

	@Override
	public void deleteLogs() {
		Date date = DateUtils.addMonths(new Date(), -3);
		String time = DateFormatUtils.format(date, DateFormatUtils.ISO_8601_EXTENDED_DATE_FORMAT.getPattern());

		int n = sysLogsDao.deleteLogs(time);
		log.info("删除{}之前日志{}条", time, n);
	}


}
